Current location

narf Source control manager Git

aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorPetter Reinholdtsen <pere@hungry.com>2014-05-19 14:54:37 +0200
committerPetter Reinholdtsen <pere@hungry.com>2014-05-19 14:54:37 +0200
commit84ff452abf66eb7f31097418240e21e10d8b977c (patch)
treed0189f6a6528d91e3fdf29b7ee74c30b4267abf6 /bin
parente2cdebc2407efc6a01c1126face14fffc4fb9273 (diff)
Move Debian mirror and suite setting to Makefile, alongside the other build settings.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/mk_freedombox_image6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/mk_freedombox_image b/bin/mk_freedombox_image
index ec3b36f..d2c2bab 100755
--- a/bin/mk_freedombox_image
+++ b/bin/mk_freedombox_image
@@ -24,8 +24,10 @@ basedir=`pwd`
vendor_dir="${basedir}/vendor"
vmdebootstrap_dir="${vendor_dir}/vmdebootstrap"
-MIRROR=http://cdn.debian.net/debian
-SUITE=jessie
+if [ -z "$MIRROR" ] || [ -z "$SUITE" ] ; then
+ echo error: Missing MIRROR and SUITE settings inherited from Makefile.
+ exit 1
+fi
# Packages to install in all FreedomBox environments
base_pkgs="apt base-files ifupdown initramfs-tools \